.PHONY: clean

all: 
	clear
	@make compile
	@make doc
	@make run

JAVA_FILES := $(shell find . -name "*.java")
CLASS_FILES := $(shell find . -name "*.class")

compile: $(JAVA_FILES)
	@echo "\n##############################################################################################"
	@echo "######################################## COMPILING... ########################################"
	@echo "##############################################################################################\n"
	@mkdir -p out
	javac -d out $^

run: 
	@echo "\n##############################################################################################"
	@echo "######################################### RUNNING... #########################################"
	@echo "##############################################################################################\n"
	@java -cp out Main

cleanrun:
	@make all
	@make clean
doc:
	@echo "\n##############################################################################################"
	@echo "#################################### GENERATING JAVADOC... ###################################"
	@echo "##############################################################################################\n"
	javadoc -d ./documentation -sourcepath . -subpackages bakery

clean:
	@echo "\n##############################################################################################"
	@echo "######################################### CLEANING... ########################################"
	@echo "##############################################################################################\n"
	rm -rf ./out
	rm -rf ./documentation